deductionguidesforstd::ranges::join_with_view(3)

NAME
deductionguidesforstd::ranges::join_with_view - deductionguidesforstd::ranges::join_with_view

Synopsis
   Defined in header <ranges>
   template< class R, class P > (since
   join_with_view( R&&, P&& ) -> join_with_view<views::all_t<R>, (1) C++23)
   views::all_t<P>>;
   template< class R >
   join_with_view( R&&, ranges::range_value_t<ranges::range_reference_t<R>>
   ) (since
     -> join_with_view<views::all_t<R>, (2) C++23)
                       ranges::single_view<
   ranges::range_value_t<ranges::range_reference_t<R>>>;
   These deduction guides are provided for join_with_view to allow deduction from a
   range and a delimiter.
   1) The delimiter is a range of elements.
   2) The delimiter is a single element.

Example
    This section is incomplete
    Reason: no example

Category:
     * Todo no example